<template>
  <router-link
    :to="
      user.id === volunteer.id
        ? { name: 'Profile' }
        : { name: 'User', params: { id: volunteer.id } }
    "
    class="volunteer-preview"
    :style="{
      background: `url(${
        volunteer.avatar
          ? volunteer.avatar.url.full_size
          : require('../assets/splash.svg')
      }) no-repeat center center`,
    }"
  >
    <div class="volunteer-description">
      <h4>{{ volunteer.name }}</h4>
      <p>Уровень: {{ volunteer.level }}</p>
    </div>
  </router-link>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: "VolunteerPreview",
  props: {
    volunteer: {
      type: Object,
    },
  },
  computed: {
    ...mapState({
      user: (state) => state.user.user,
    }),
  },
};
</script>

<style scoped lang="scss">
.volunteer {
  &-preview {
    width: 160px;
    height: 214px;
    flex: 0 0 auto;
    border-radius: 4px;
    overflow: hidden;
    position: relative;
    background-size: cover !important;
    &:after {
      content: "";
      width: 100%;
      height: 100%;
      display: block;
      background: linear-gradient(
        180deg,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 0.35) 100%
      );
      z-index: 2;
      left: 0;
      top: 0;
    }
  }
  &-description {
    position: absolute;
    z-index: 5;
    bottom: $base-space * 3;
    left: $base-space * 3;
    width: calc(100% - 24px);
    > h4 {
      font-weight: 600;
      font-size: 16px;
      line-height: 18px;
      color: $white;
      margin: 0 0 ($base-space);
    }
    > p {
      font-weight: 400;
      font-size: 12px;
      line-height: 12px;
      color: $white;

      -webkit-line-clamp: 4;
      display: -webkit-box;
      -webkit-box-orient: vertical;
      overflow: hidden;
      max-height: 36px;
      &:not(:last-child) {
        margin: 0 0 ($base-space * 2);
      }
    }
  }
}
</style>
